Édition, impression, rédaction

ODT2SPIP

générateur d’articles spip à partir de fichiers .odt

Préfixe : odt2spip
Utilisé dans 3463 sites
Mis à jour le 8 mai 2017
  • SPIP 3.1
  • SPIP 3.2
  • SPIP 3.0
  • SPIP 2.1
  • SPIP 2.0
  • SPIP 1.9

2.1.4 - en test

Compatible : SPIP 3.2 SPIP 3.1 SPIP 3.0
Afficher la description

générateur d’articles spip à partir de fichiers OpenOffice ou LibreOffice Writer (.odt)
La transformation des fichiers ODT impose que l’extension XSL de PHP soit active.
La conversion des formules mathématiques repose sur la librairie XSLT MathML 2.0 to LaTeX de Vasil Yaroshevich http://www.raleigh.ru/MathML/mmltex...

Version
2.1.4
Compatiblité
SPIP ≥ 3.0.0 et ≤ 3.2.*
État
en test
Auteur
cy_altern
Crédits
XSLT pour la transformation MathML 2.0 to LaTeX : Vasil Yaroshevich, yarosh@raleigh.ru
Licence
LGPL 3
Copyright
2009-2017
Module de langue
odtspip
Langue référence
français
Traductions
Deutsch , English , italiano , română
Archive
odt2spip_30.zip
Taille
315.3 ko
Générée le
14-04-2017 15:04
Hébergée par
SPIP-Zone - Plugins

0.15.3 - stable

Compatible : SPIP 2.1 SPIP 2.0 SPIP 1.9
Afficher la description

Ce plugin permet de générer un article SPIP à partir du téléchargement d’un fichier OpenOffice Writer (format .ODT). Il gère la majorité des raccourcis typographiques, détecte les différents niveaux de titre et fait l’intégration des images automatiquement.

Version
0.15.3
Compatiblité
SPIP ≥ 1.9.2 et ≤ 2.1.*
État
stable
Auteur
cy_altern
Licence
© 2009, LGPL 3
Module de langue
odtspip
Langue référence
français
Traductions
Deutsch , English , italiano , română
Archive
odt2spip_19_20_21.zip
Taille
310.8 ko
Générée le
08-05-2017 11:04
Hébergée par
SPIP-Zone - Plugins
Nécessite les plugins
Snippets ≥ 0.1

Dernières modifications

  • Revision 103970  : compatibilité 3.2
  • Revision 103864  : En finir une fois pour toutes avec spip-contrib, pour mettre à la place contrib.spip
  • Revision 103720  : Contrib est en https, donc j’ajoute le "s", plus divers broutilles
  • Revision 92767  : Quand il y a changement de borne de compatibilité, il faut faire un up de minimum z+1, sans quoi (...)
  • Revision 92752  : tout à l’air OK en SPIP 3.1 : modification de la borne sup
  • Revision 84608  : Ce n’est plus spip-contrib. mais contrib.spip
  • Revision 82913  : oups
  • Revision 82911  : schema manquant - eviter de rejouer l’install à chaque passage en admin_plugins
  • Revision 81882  : ajout de l’option de configuration pour le choix par défaut de l’attachement du fichier odt (cf (...)
  • Revision 81585  : proposer la modification des articles existant via l’intégration d’un fichier odt (cf Suske dans (...)

Messages de forum

  • 25 mai : « et ça pousse à être curieux. » C’est le seul morceau qui est très intéressant à mes yeux. Je me (...)
  • 25 mai : je ne comprends pas ta réponse. Tu es convaincu de toi-même, c’est chouette. Je vais dire, idem. (...)
  • 25 mai : Je pense que tu te fourvoies, et au moins un point qui n’est pas une impression : TOUS les gens (...)
  • 24 mai : Pour ma part, j’attends de voir si ça permet de résoudre les éléments décrits ici : (...)
  • 24 mai : Il y a juste un point qui me turlupine : d’après moi (et uniquement moi) et mon tout petit vécu (...)
  • 24 mai : J’ai aussi un problème de compatibilité de ce plugin avec SPIP 3.1.4. Auparavant, mon site (...)
  • 24 mai : Salut, le problème est-il toujours d’actualité ?
  • 24 mai : J’ai trouvé l’erreur, les coordonnés geojson étaient faux. Une fois corrigé, ça fonctionne (...)
  • 24 mai : Hello, Mon impression c’est que ça a été accueilli plutôt favorablement, en tout cas au moins par (...)
  • 24 mai : Intéressant. Merci. Qu’est-il sorti des discussions suite à la présentation ? Ya-t-il une volonté (...)